Class ClientCredentialsRequest.Builder
java.lang.Object
se.michaelthelin.spotify.requests.AbstractRequest.Builder<ClientCredentials, ClientCredentialsRequest.Builder>
se.michaelthelin.spotify.requests.authorization.AbstractAuthorizationRequest.Builder<ClientCredentials, ClientCredentialsRequest.Builder>
se.michaelthelin.spotify.requests.authorization.client_credentials.ClientCredentialsRequest.Builder
- All Implemented Interfaces:
IRequest.Builder<ClientCredentials, ClientCredentialsRequest.Builder>
- Enclosing class:
ClientCredentialsRequest
public static final class ClientCredentialsRequest.Builder
extends AbstractAuthorizationRequest.Builder<ClientCredentials, ClientCredentialsRequest.Builder>
Builder class for building a
ClientCredentialsRequest.-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionbuild()The request build method.grant_type(String grant_type) The grant type setter.protected ClientCredentialsRequest.Builderself()Return this instance to simulate a self-type.Methods inherited from class AbstractRequest.Builder
setBody, setBodyParameter, setContentType, setDefaults, setHeader, setHost, setHttpManager, setPath, setPathParameter, setPort, setQueryParameter, setSchemeModifier and TypeMethodDescriptionsetBody(org.apache.hc.core5.http.HttpEntity httpEntity) Set the body for the request.setBodyParameter(String name, X value) Set a body parameter for the request.setContentType(org.apache.hc.core5.http.ContentType contentType) Set the content type for the request.setDefaults(IHttpManager httpManager, String scheme, String host, Integer port) Set default values for the request.Set a header for the request.Set the host for the request.setHttpManager(IHttpManager httpManager) Set the HTTP manager for the request.Set the path for the request.setPathParameter(String name, String value) Set a path parameter for the request.Set the port for the request.setQueryParameter(String name, X value) Set a query parameter for the request.Set the scheme for the request.
-
Constructor Details
-
Builder
-
-
Method Details
-
grant_type
The grant type setter.- Parameters:
grant_type- Required. Set it to"client_credentials".- Returns:
- A
ClientCredentialsRequest.Builder.
-
build
The request build method.- Returns:
- A
ClientCredentialsRequest.
-
self
Description copied from class:AbstractRequest.BuilderReturn this instance to simulate a self-type.- Specified by:
selfin classAbstractRequest.Builder<ClientCredentials, ClientCredentialsRequest.Builder>- Returns:
- This instance.
-